Page MenuHomePhabricator

Publish wikimedia/less.php on Packagist
Closed, ResolvedPublic

Description

It's our fork of oyejorge/less.php that we need to support modern PHP versions.

Event Timeline

https://packagist.org/packages/wikimedia/less.php

It's not being auto-updated because I'm not sure how to set up the new packagist hook.

It appears that the new hook system for GitHub->Packagist integration requires that the Packagist account be using GitHub OAuth -- https://packagist.org/about#how-to-update-packages. We should probably figure out how to make a new low privilege GitHub account to attach to the Packagist "wikimedia" shared account to handle this. That is probably worth tracking in another task.

It appears that the new hook system for GitHub->Packagist integration requires that the Packagist account be using GitHub OAuth -- https://packagist.org/about#how-to-update-packages. We should probably figure out how to make a new low privilege GitHub account to attach to the Packagist "wikimedia" shared account to handle this. That is probably worth tracking in another task.

Should I just connect this repo via my (owner) account for now, to resolve this particular task, and we do a proper (less risky) fix later?

RazeSoldier assigned this task to MaxSem.
RazeSoldier added a subscriber: RazeSoldier.

Looks like already done.